'********************************************************************
'*
'* File:        secureAD.VBS
'* Created:     April 2000
'* Version:     1.0
'*
'* Main Function: Removes Autneticated Users security group from Active Directory '* Default containers. Intended For use in a Shared Hosting Active Directory Forest Model.
'* Usage: secureAD.vbs
'*
'* Copyright (C) 1998 Microsoft Corporation
'*
'********************************************************************

Set rootDSE = GetObject("LDAP://RootDSE")
sAdsPath = "LDAP://" & rootDSE.Get("defaultNamingContext")

CleanOu "LDAP://cn=Builtin," & rootDSE.Get("defaultNamingContext")
CleanOu "LDAP://cn=Computers," & rootDSE.Get("defaultNamingContext")
CleanOu "LDAP://ou=Domain Controllers," & rootDSE.Get("defaultNamingContext")
CleanOu "LDAP://cn=ForeignSecurityPrincipals," & rootDSE.Get("defaultNamingContext")
CleanOu "LDAP://cn=Infrastructure," & rootDSE.Get("defaultNamingContext")
CleanOu "LDAP://cn=System," & rootDSE.Get("defaultNamingContext")
CleanOu "LDAP://cn=Users," & rootDSE.Get("defaultNamingContext")


Function CleanOU(g_objOu)
	wScript.Echo " "
	wScript.Echo "Cleaning: " & g_objOu
	Set sAdServer = GetObject(g_objOu)

	' Set Proper Ace Entries
	Set SecurityDescriptor = sAdServer.Get("ntSecurityDescriptor")
	Set Dacl = SecurityDescriptor.DiscretionaryAcl

	' Remove the ability for any user in the Directory to access this
	'	OU or its object
	DeleteAce Dacl, "Everyone"

	' If you delete the Authenticated Users, Group Policies will no longer work
	DeleteAce Dacl, "NT AUTHORITY\Authenticated Users"	
	
	' Not sure what effect this may have on applications.
	'DeleteAce Dacl, "BUILTIN\Pre-Windows 2000 Compatible Access"

	' Add New Dacl to the Security Descriptor
	SecurityDescriptor.discretionaryAcl = dacl
	sAdServer.put "ntSecurityDescriptor", SecurityDescriptor

	' Save Information to the Directory
	sAdServer.SetInfo

	Set sAdServer = Nothing
	'wScript.Echo "Cleaned Active Directory Successfully."
End Function

Function DeleteAce(Dacl, TrusteeName)
	Set oACE = CreateObject("AccessControlEntry")
		For Each oAce in dacl
			if (oAce.Trustee = TrusteeName) then
				wScript.Echo "Found and Deleted: " & TrusteeName
				dacl.RemoveAce(oAce)
			End if
		Next		
End Function
