<%
'********************************************************************
'*				---   Web Admin - Configuration  ---
'*
'* Created By: Conrad Agramont
'*
'* Config.asp
'* 
Const	Web_Admin_Version_Desc		= "RTW"
Const	Web_Admin_Build_Number		= "28"
Const	SHOW_VER_DESC_IN_HEADER		= False
Const	SHOW_BUILD_NUMBER_IN_HEADER	= False
'* 
'* Notes:   	
'*			- Any Items marked optional with [braces] need to have a 
'*				blank string passed into the function.
'*
'*			- More Information:  http://www.microsoft.com/ISN/WebAdmin
'*
'* Copyright (C) 1999 Microsoft Corporation
'*
'********************************************************************

'*************************
'This sample is provided for educational purposes only. It is not intended to be 
'used in a production environment, has not been tested in a production environment, 
'and Microsoft will not provide technical support for it. 
'*************************

'********************************************************************
'* This Setting will determine how the Web Admin will set security settings and 
'*		automates certain items for Service Providers.  Setting this variable to
'*		FALSE will enable the Web Admin for generic corporate use.
'*
Const ASP_SERVICES_ENABLED				= True
'*
'********************************************************************

'********************************************************************
'* This is the User Name and Password used for anytype of 
'* Impersonated Functions that are needed (Not Yet Used)
'*
CONST PROXY_USERNAME				= "administrator"
CONST PROXY_USERNAME_PASSWORD		= "password"
'*
'********************************************************************

'********************************************************************
'* Set Public Constants -- Master Groups
'*
CONST HOSTING_OU					= "Hosting"
CONST SERVICES_OU					= "Services"
CONST TERMINAL_SERVERS_OU			= "Terminal Server Farm"
CONST MASTER_GROUP_ALLUSERS			= "AllUsersGroup"
CONST MASTER_GROUP_ALLADMINS		= "AllAdminsGroup"
CONST MASTER_GROUP_ALLADVUSERS		= "AllAdvancedUsersGroup"
CONST MASTER_GROUP_ALLNORMAL		= "AllNormalUsersGroup"
CONST MASTER_GROUP_ALLMULTIORGADMIN	= "AllMultiOrgAdminsGroup"
CONST MASTER_GROUP_EXCH_ADMINS		= "ExchAdmins"
CONST MASTER_GROUP_EXCH_MAILBOX		= "ExchMailboxManagers"
'*
'********************************************************************

'********************************************************************
'* Set Public Constants -- Org Service Groups
'* 
CONST constNORMAL_USER_GROUP 			= "NormalUsers@"
CONST constADVANCED_USER_GROUP 			= "AdvancedUsers@"
CONST constALL_USERS_GROUP				= "AllUsers@"
CONST constADMINS_GROUP					= "Admins@"
CONST constMULTIORGADMIN_GROUP			= "MultiOrgAdmin@"
'*
'********************************************************************

'********************************************************************
'* User Profile 
'* 
'	If set to true, then when a user is created a roaming profile is
'		set for that user using the below Location.
Dim SET_USER_PROFILE
'CONST SET_USER_PROFILE					= TRUE
SET_USER_PROFILE						= Application("WebAdmin_SET_USER_PROFILE")

' This is the Default File Store Location for user profiles
Dim DEFAULT_PROFILE_PATH
'CONST DEFAULT_PROFILE_PATH = "\\webadmin04\profiles"
DEFAULT_PROFILE_PATH					= Application("WebAdmin_DEFAULT_PROFILE_PATH")
'*
'********************************************************************

'********************************************************************
'* Create Group Exclusion List.  Include other Service Groups as well.
'* This will hide group from all Searchs and viewing.  Add any other 
'* group that you do not want users to be able to see.
'*
Dim GROUP_EXCLUSION_LIST(8)
GROUP_EXCLUSION_LIST(0)			= "CN=" & constNORMAL_USER_GROUP
GROUP_EXCLUSION_LIST(1)			= "CN=" & constADVANCED_USER_GROUP
GROUP_EXCLUSION_LIST(2)			= "CN=" & constALL_USERS_GROUP
GROUP_EXCLUSION_LIST(3)			= "CN=" & constADMINS_GROUP
GROUP_EXCLUSION_LIST(4)			= "CN=" & constMULTIORGADMIN_GROUP
' For Use with Office 2000 on Terminal Services.
GROUP_EXCLUSION_LIST(5)			= "CN=" & "ProfessionalServicePlan@"
' For Use with ManagedPC Services
GROUP_EXCLUSION_LIST(6)			= "CN=" & "ManagedPc@"
GROUP_EXCLUSION_LIST(7)			= "CN=" & "ManagedServer@"
'*
'********************************************************************

'********************************************************************
'* This Setting will determine what domain the Web Admin will work with.
'*		By default, the setting is blank.  This will instruct the 
'*		Web Admin to use the current domain that the web server is a 
'*		member of.
'*
Dim USE_SPECIFIC_DOMAIN

USE_SPECIFIC_DOMAIN							= Application("WebAdmin_USE_SPECIFIC_DOMAIN")
'	Example:
'USE_SPECIFIC_DOMAIN						= "DC=nsgDC,DC=WebWorld,DC=com"
'*
Dim PREFDOMAIN
PREFDOMAIN = Request("prefdomain")
'********************************************************************

'********************************************************************
'* This Setting will determine strict the Web Admin will how the Web Admin 
'*		behave for the creation of new users.  It will only allow 
'*		users (domain admins too) to create users in a hosted org in the 
'*		Hosting_OU container.  This is an Application Filter.
'*
Dim WebAdmin_Strict
'Const WebAdmin_Strict					= True
WebAdmin_Strict							= Application("WebAdmin_Strict")
'*
'********************************************************************

'********************************************************************
'* This setting will prevent Group in Group nesting, but only if set
'* to True.  This is for Enterprise usage only.  This will also disable
'* the use of MultiOrgAdmins.
'* This Setting will only take effect if the the above
'* Constant ASP_SERVICES_ENABLED is set to False.
'*
Const AD_NATIVE_MODE_ON					= False
'*
'********************************************************************

'********************************************************************
'* This Setting will determine how the Web Admin will track information 
'*	in a log of some type.
'*
'*		1 = No Logging		-No events will be logged.
'*		2 = File System		-Stored in a text file on the local Web Server
'*		3 = Event Log		-Store in the Application Event Log
'*		4 = SQL Database	-Store in a SQL/MSDE Database - Follow Direction below
'*
Const LOGGING_TYPE						= 2
'*
'*	Set Location Information for Logging
'*
'*	-- For File System Logging
Const	LOGGING_FILESYSTEM_LOCATION		= "C:\WebAdminLogs\"
Const	LOG_ALLOW_ATTRIBUTE_UPDATES		= True

'*	-- FOR SQL LOGGING
'*		1. Setup Database.
'*			3.A. Run SQL Log Scripts to Create the Database and Tables
'*					needed for logging.  They are located in the \SQL folder
'*					of the Web Admin setup folder
'*		2. Edit the Global.ASA and uncomment (where noted) SQL Logging Info
'*		3. Update the LOGGING_SQL_PROVIDER to reflex your SQL Server 
'*			name, Database Name, User ID, and Password
'********************************************************************

'********************************************************************
'* Active Directory DS Heauristics Mode
'*
'* If the Directory is in List Object Mode then this variable should 
'*	be set to True.  Please see the Active Directory Reference 
'*	Design for ASP's Whitepaper for more information.  By default, the
'*	directory is not set in this mode. So the default setting for this 
'*	constant is False.
'*
Const LIST_OBJECT_MODE_ON				= False
'*
'********************************************************************
'********************************************************************
'* This Setting will enable certain HyperLinks, Web Pages, etc. to appear.
'*
Dim TESTING_ENABLED
'Const TESTING_ENABLED					= True
TESTING_ENABLED							= Application("WebAdmin_TESTING_ENABLED")
'*
'********************************************************************

'********************************************************************
'* This setting will allow an Org Admin to enable services for their   
'*		org if set to true.  If set to false only Domain Admins can  
'*		enable services for customers.
'*
Dim ALLOW_ADMINS_ENABLE_SERVICE
'Const ALLOW_ADMINS_ENABLE_SERVICE		= True
ALLOW_ADMINS_ENABLE_SERVICE				= Application("WebAdmin_ALLOW_ADMINS_ENABLE_SERVICE")
'*
'********************************************************************

'********************************************************************
'* This setting will allow you to control how deep the Web Admin 
'*		should go when displaying Nested OU's.  If set to 0 then there
'*		will be no restriction
'*
Const NESTED_OU_MAX_LEVEL = 0
'*
'********************************************************************

'********************************************************************
'* This setting will allow you to control how many objects that can be 
'* seen in the ManageOU.asp page per section at a time.  The counters are
'* zero based so if you want the max to be 10 then VIEW_IN_OU_MAX should
'* be set to 9.
'*
Const VIEW_IN_OU_MAX = 50
'*
'********************************************************************

'********************************************************************
'* This setting will allow an Org Admin to enable services for their   
'*		org if set to true.  If set to false only Domain Admins can  
'*		enable services for customers.
'*
Dim Write_Debug
'Const Write_Debug						= False
Write_Debug								= Application("WebAdmin_Write_Debug")
'*
'********************************************************************

'********************************************************************
'* Enable Office 2000 Service via Terminal Services
'*
Dim Enable_Service_Office9_Org
Dim Enable_Service_Office9_User
'Const Enable_Service_Office9_Org		= True
'Const Enable_Service_Office9_User		= True
Enable_Service_Office9_Org				= Application("WebAdmin_Enable_Service_Office9_Org")
Enable_Service_Office9_User				= Application("WebAdmin_Enable_Service_Office9_User")
'*
'********************************************************************

'********************************************************************
'*
Dim PREFERED_MAILSTORE
'PREFERED_MAILSTORE			= ""
' Sample Prefered Mailstore string.  A good way to get this is to create 
'	a user manually and then copy that users mailbox location and Paste it 
'	above.
'PREFERED_MAILSTORE						= "CN=Mailbox Store (WEBADMIN04),CN=First Storage Group,CN=InformationStore,CN=WEBADMIN04,CN=Servers,CN=First Administrative Group,CN=Administrative Groups,CN=aspWorld,CN=Microsoft Exchange,CN=Services,CN=Configuration,DC=aspworld,DC=com"
PREFERED_MAILSTORE						= Application("WebAdmin_PREFERED_MAILSTORE")
'*
'********************************************************************

'********************************************************************
'* Enable Exchange 2000 Services
'*
Dim Enable_Service_Exch2000
Dim Enable_Service_Exch2000_Org
Dim Enable_Service_Exch2000_User
'Const Enable_Service_Exch2000			= True
'Const Enable_Service_Exch2000_Org		= True
'Const Enable_Service_Exch2000_User		= True

Enable_Service_Exch2000					= Application("WebAdmin_Enable_Service_Exch2000")
Enable_Service_Exch2000_Org				= Application("WebAdmin_Enable_Service_Exch2000_Org")
Enable_Service_Exch2000_User			= Application("WebAdmin_Enable_Service_Exch2000_User")

' The below setting, if set to True, will allow the Multi Org Admin to 
' View the Exchange 2000 Services for a User.
Const Enable_Service_Exch2000_Allow_MultiOrgAdmin	= True

' The below setting, if set to True, will allow the Org Admin to 
' View the Exchange 2000 Services for a User.
Const Enable_Service_Exch2000_Allow_OrgAdmin		= True

' Default SMTP Server
Const Default_SMTP_Server							= "mail.aspworld.com"
'*
'********************************************************************

'********************************************************************
'* Enable Office 10 FrontPage Services
'*
Dim Enable_Service_Office10_FrontPage
'Const Enable_Service_Office10_FrontPage	= False
Enable_Service_Office10_FrontPage			= Application("WebAdmin_Enable_Service_Office10_FrontPage")
'*
'********************************************************************

'********************************************************************
'* Enable ManagedPC Services
'*
Dim Enable_Service_ManagedPC_Org
'Const Enable_Service_ManagedPC_Org		= True
Enable_Service_ManagedPC_Org			= Application("WebAdmin_Enable_Service_ManagedPC_Org")
'*
'********************************************************************

'********************************************************************
'* Enable Web Server Managemant
'*
Dim Enable_Service_WebServer

'Const Enable_Service_WebServer
Enable_Service_WebServer			= Application("WebAdmin_Enable_Service_WebServer")
'*
'********************************************************************
'********************************************************************
'* Enable FTP Server Managemant
'*
Dim Enable_Service_FTPServer

'Const Enable_Service_FTPServer
Enable_Service_FTPServer			= Application("WebAdmin_Enable_Service_FTPServer")
'*

'********************************************************************
'* Enable DNS Server Managemant
'*
Dim Enable_Service_DNS
'Const Enable_Service_DNS				= False
Enable_Service_DNS						= Application("WebAdmin_Enable_Service_DNS")
'*
'********************************************************************
'// this constant is used to define the prefered windows 2000 based DNS server.
'// this value will be loaded into a Web form
Dim PREFERED_DNS
PREFERED_DNS							= Application("WebAdmin_PREFERED_DNS")
'Const PREFERED_DNS						= "webadmin04"
Const PREFERED_DNS_CUSTOMER_HOST_NAME	= "www"
'*
'********************************************************************

'********************************************************************
'* Hide Setup Wizard
'*
'* After the initial Setup of the Web Admin, there is NO need to 
'*		keep the Setup Wizard Link available.
'*
Dim Hide_Setup_Wizard
Hide_Setup_Wizard					= Application("WebAdmin_Hide_Setup_Wizard")
'*
'********************************************************************

'********************************************************************
'* User Interface Settings
'*
'* Using the settings below can Hide/Show the Default Web Admin 
'*	Header or Sidebar. 
'*
const SHOW_WEBADMIN_HEADER				= True
const SHOW_WEBADMIN_SIDEBARS			= True	

'*
'********************************************************************

'********************************************************************
'* this constant points to the location of the rightsGuid.txt and 
'* schemaIDGUID.txt wich are used by the viewACL.vbs and
'* CreateGuidCacheFiles files to list the DACL and corresponding  
'* Acccess Rights for an Object suc as an OU
'*
Const GuidCacheFileLoc = "c:\WebAdminFiles\"
'*
'********************************************************************
%>