<%
'********************************************************************
'*				---   Web Admin - Office 2000 Service   ---
'*
'* Created By: Conrad Agramont & Ed Tremblay
'*
'* Svc-Office.asp 
'* 
'* Notes:   	
'*			- Any Items marked optional with [braces] need to have a 
'*				blank string passed into the function.
'*
'* 
'*
'********************************************************************

'* Dim Public Variables
Dim STANDARD_SERVICE_GROUP, SMALL_BIZ_SERVICE_GROUP
Dim PRO_SERVICE_GROUP, PREMIUM_SERVICE_GROUP

'* Set Public Constants -- Master Office Service Groups
CONST MASTER_GROUP_ALLPRO			= "AllProfessionalServiceGroup"
'CONST MASTER_GROUP_ALLSMALLBIZ		= "AllSmallBusinessServiceGroup"
'CONST MASTER_GROUP_ALLSTANDARD		= "AllStandardServiceGroup"

'* Set Public Constants -- Org Office Service Groups
'CONST constSTANDARD_SERVICE_GROUP		= "StandardServicePlan@"
'CONST constSMALL_BIZ_SERVICE_GROUP		= "SmallBusinessServicePlan@"
CONST constPRO_SERVICE_GROUP			= "ProfessionalServicePlan@"


'********************************************************************
'*
'* Function NewOrgProvisionOffice(sOuObj)
'* Purpose: Provision Office Services for an Organization.
'* Input:   	sOuObj			Organization Unit Object (Object)
'*				 
'* Output:  None
'*
'********************************************************************
Function NewOrgProvisionOffice(sOuObj)
On Error Resume Next
	Dim rootDSE
	
	' Get the Root DSE Info for the domain.
	Set rootDSE = GetObject("LDAP://RootDSE")
	
	' Create Organizational Unit Specific Groups and Nest in Master Groups.
	'CreateGroup sOuObj, constSTANDARD_SERVICE_GROUP & GetRootOU(sOuObj.AdsPath) , "Standard Service Account Group",""
	'EmbedServicePlans "LDAP://CN=" & MASTER_GROUP_ALLSTANDARD & ",OU=" & SERVICES_OU & "," & GetDomain, "LDAP://CN=StandardServicePlan@" & GetRootOU(sOuObj.AdsPath) & ",OU=" & GetRootOU(sOuObj.AdsPath) & "," & GetDomain
	'DetailError "Unable to Enable the Office 2000 Service.  Access Denied. (Svc-Office\svc-Office::NewOrgProvisionOffice..Std)"
	
	'CreateGroup sOuObj, constSMALL_BIZ_SERVICE_GROUP & GetRootOU(sOuObj.AdsPath) , "Small Business Service Account Group", ""
	'EmbedServicePlans "LDAP://CN=" & MASTER_GROUP_ALLSMALLBIZ & ",OU=" & SERVICES_OU & "," & GetDomain, "LDAP://CN=StandardServicePlan@" & GetRootOU(sOuObj.AdsPath) & ",OU=" & GetRootOU(sOuObj.AdsPath) & "," & GetDomain
	'DetailError "Unable to Enable the Office 2000 Service.  Access Denied. (Svc-Office\svc-Office::NewOrgProvisionOffice..SB)"
	
	CreateGroup sOuObj, constPRO_SERVICE_GROUP & GetRootOU(sOuObj.AdsPath) , "Professional Service Account Group", ""
	DetailError "Unable to Enable the Office 2000 Service.  Access Denied. (Svc-Office\svc-Office::NewOrgProvisionOffice..Pro.CreateGroup)"
	
	AddToGroup "LDAP://CN=" & MASTER_GROUP_ALLPRO & ",OU=" & SERVICES_OU & "," & GetDomain, "LDAP://CN=ProfessionalServicePlan@" & GetRootOU(sOuObj.AdsPath) & ",OU=" & GetRootOU(sOuObj.AdsPath) & ",OU=" & HOSTING_OU & "," & GetDomain
	DetailError "Unable to Enable the Office 2000 Service.  Access Denied. (Svc-Office\svc-Office::NewOrgProvisionOffice..Pro.EmbedServicePlans)"
End Function

'********************************************************************
'*
'* Function DisableOrgOffice(sOuObj)
'* Purpose: Disable Office Services for an Organization.
'* Input:   	sOuObj			Organization Unit Object (Object)
'*				 
'* Output:  None
'*
'********************************************************************
Function DisableOrgOffice(sOuObj)
	Dim rootDSE
	
	' Get the Root DSE Info for the domain.
	'Set rootDSE = GetObject("LDAP://RootDSE")
	
	' Create Organizational Unit Specific Groups and Nest in Master Groups.
	'DeleteObject "LDAP://CN=StandardServicePlan@" & GetRootOU(sOuObj.AdsPath) & ",OU=" & GetRootOU(sOuObj.AdsPath) & "," & GetDomain, "group"
	'DeleteObject "LDAP://CN=SmallBusinessServicePlan@" & GetRootOU(sOuObj.AdsPath) & ",OU=" & GetRootOU(sOuObj.AdsPath) & "," & GetDomain, "group"
	DeleteObject "LDAP://CN=ProfessionalServicePlan@" & GetRootOU(sOuObj.AdsPath) & ",OU=" & GetRootOU(sOuObj.AdsPath) & ",OU=" & HOSTING_OU & "," & GetDomain, "group"
	DetailError "Unable to Enable the Office 2000 Service.  Access Denied. (Svc-Office\svc-Office::DisableOrgOffice)"
	
	Set RootDSE = Nothing
End Function

'********************************************************************
'*
'* Function NewUserProvisionOffice(sRootOU, sUserAdsPath)
'* Purpose: Provision Office Services for an Organization.
'* Input:   	sRootOU				Root Organization Name (String)
'*				sUserAdsPath		AdsPath of User to Provision (String)						 
'* Output:  None
'*
'********************************************************************
Function NewUserProvisionOffice(sRootOU, sUserAdsPath)
	
	'STANDARD_SERVICE_GROUP				= "StandardServicePlan@" & sRootOU
	'SMALL_BIZ_SERVICE_GROUP				= "SmallBusinessServicePlan@" & sRootOU
	PRO_SERVICE_GROUP					= "ProfessionalServicePlan@" & sRootOU
	
		'*******************
	'	Microsoft Office Setup - Begin
	'*******************
	'Set Service Type
		Select Case sService
			Case 1
				'AddToGroup "LDAP://CN=" & SMALL_BIZ_SERVICE_GROUP & ",OU=" & sRootOU & "," & GetDomain, sUserAdsPath
			Case 2
				'AddToGroup "LDAP://CN=" & PRO_SERVICE_GROUP & ",OU=" & sRootOU & "," & GetDomain, sUserAdsPath
			Case Else
				AddToGroup "LDAP://CN=" & STANDARD_SERVICE_GROUP & ",OU=" & sRootOU & ",OU=" & HOSTING_OU & "," & GetDomain, sUserAdsPath
		End Select
	
	'*******************
	'	Microsoft Office Setup - End
	'*******************
End Function

'********************************************************************
'*
'* Function SetUserOfficeServer(v_userObj, ServicePlan)
'* Purpose: Set Office Services for User.
'* Input:   	v_userObj				User Object (Object)
'*				ServicePlan				Office Service Plan (String)
'*					 
'* Output:  None
'*
'********************************************************************
Function SetUserOfficeServer(v_userObj, ServicePlan)
	Dim RootDSE
	
	' Get the Root DSE Info for the domain.
	'Set rootDSE = GetObject("LDAP://RootDSE")
	
	' Clear the User from all Office Service Groups.
	ClearAllServicePlans v_userObj
	
	Select Case ServicePlan
		'Case constSTANDARD_SERVICE_GROUP
			'AddToGroup "LDAP://CN=" & constSTANDARD_SERVICE_GROUP & ParseOU(v_userObj.userPrincipalName) & ",OU=" & ParseOU(v_userObj.userPrincipalName) & "," & GetDomain, v_userObj.AdsPath
		'Case constSMALL_BIZ_SERVICE_GROUP
			'AddToGroup "LDAP://CN=" & constSMALL_BIZ_SERVICE_GROUP & ParseOU(v_userObj.userPrincipalName) & ",OU=" & ParseOU(v_userObj.userPrincipalName) & "," & GetDomain, v_userObj.AdsPath
		Case constPRO_SERVICE_GROUP
			AddToGroup "LDAP://CN=" & constPRO_SERVICE_GROUP & ParseOU(v_userObj.userPrincipalName) & ",OU=" & ParseOU(v_userObj.userPrincipalName) & ",OU=" & HOSTING_OU & "," & GetDomain, v_userObj.AdsPath
	End Select
	
	' Kill Object
	Set RootDSE = Nothing
End Function

'********************************************************************
'*
'* Function ClearAllServicePlans(v_userObj)
'* Purpose: Clear user from All Service Plan Groups
'* Input:   	v_userObj				User Object (Object)
'*					 
'* Output:  None
'*
'********************************************************************
Function ClearAllServicePlans(v_userObj)
	Dim RootDSE
	
	' Get the Root DSE Info for the domain.
	'Set rootDSE = GetObject("LDAP://RootDSE")
	
	'RemoveFromGroup "LDAP://CN=" & constSTANDARD_SERVICE_GROUP & ParseOU(v_userObj.userPrincipalName) & ",OU=" & ParseOU(v_userObj.userPrincipalName) & "," & GetDomain, v_userObj.AdsPath
	'RemoveFromGroup "LDAP://CN=" & constSMALL_BIZ_SERVICE_GROUP & ParseOU(v_userObj.userPrincipalName) & ",OU=" & ParseOU(v_userObj.userPrincipalName) & "," & GetDomain, v_userObj.AdsPath
	RemoveFromGroup "LDAP://CN=" & constPRO_SERVICE_GROUP & ParseOU(v_userObj.userPrincipalName) & ",OU=" & ParseOU(v_userObj.userPrincipalName) & ",OU=" & HOSTING_OU & "," & GetDomain, v_userObj.AdsPath
	
	' Kill Objects
	Set RootDSE = Nothing
End Function


%>